import request from '@/utils/request'

/**
 * 获取住院患者列表
 */
export function getPatientList(queryParams) {
  return request({
    url: '/nurse-station/advice-process/inpatient',
    method: 'get',
    params: queryParams
  })
}

/**
 * 获取当前登录人管理病区
 */
export function getWardList(queryParams) {
  return request({
    url: '/app-common/practitioner-ward',
    method: 'get',
    params: queryParams
  })
}

/**
 * 获取当前选中患者全部医嘱
 */
export function getPrescriptionList(queryParams) {
  return request({
    url: '/nurse-station/advice-process/inpatient-advice',
    method: 'get',
    params: queryParams
  })
}

/**
 * 医嘱校对通过
 */
export function adviceVerify(data) {
  return request({
    url: '/nurse-station/advice-process/advice-verify',
    method: 'put',
    data: data
  })
}

/**
 * 医嘱退回
 */
export function cancel(data) {
  return request({
    url: '/nurse-station/advice-process/advice-reject',
    method: 'put',
    data: data
  })
}